/*
 *   Copyright (C) 2003,2004 by Jonathan Naylor G4KLX
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef	GlobeCache_H
#define	GlobeCache_H

#include <wx/wx.h>

#include "DEMCache.h"
#include "Globe.h"

class CGlobeCache : public CDEMCache {

    public:
	CGlobeCache(const wxString& path, EDTEM version);
	virtual ~CGlobeCache();

	virtual int  getHeight(double latitude, double longitude, bool interpolate = false);

	virtual bool dataExists(double latitude, double longitude);

    private:
	wxString   m_path;
	EDTEM      m_version;
	CGlobe**   m_list;
	int        m_ptr;
};

#endif
