/*
 *   Copyright (C) 2003,2004 by Jonathan Naylor G4KLX
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef	MapFile_H
#define	MapFile_H

#include <wx/wx.h>

#include "Location.h"

class CMapFile {
    public:
	CMapFile();
	virtual ~CMapFile();

	virtual bool write(const wxString& fileName, const CLocation& location, int resolution, EType type, bool towns, bool sites) const;
	virtual bool read(const wxString& fileName, CLocation& location, int& resolution, EType& type, bool& towns, bool& sites) const;

    private:
};

#endif
